## python-measurement 1.8.0

=== requirements.txt ===
six>=1.0
sympy>=0.7.3,<1.0.0

=== debian/changelog ===
python-measurement (1.8.0-3) unstable; urgency=low

  * Add python-measurement to Suggests (Closes: #825362).
  * Use https:// for copyright-format 1.0 URL.

 -- Michael Fladischer <fladi@debian.org>  Mon, 22 Aug 2016 12:42:45 +0200

python-measurement (1.8.0-2) unstable; urgency=medium

  * Update copyright information for Robert Coup.

 -- Michael Fladischer <fladi@debian.org>  Wed, 18 May 2016 22:22:06 +0200

python-measurement (1.8.0-1) unstable; urgency=low

  * Initial release (Closes: #824664).

 -- Michael Fladischer <fladi@debian.org>  Wed, 18 May 2016 17:00:06 +0200

=== debian/control ===
Source: python-measurement
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-nose,
               python-setuptools,
               python-six,
               python-sympy,
               python3-all,
               python3-nose,
               python3-setuptools,
               python3-six,
               python3-sphinx,
               python3-sympy
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-measurement.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-measurement.git
Homepage: https://github.com/coddingtonbear/python-measurement
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.4

Package: python-measurement
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Suggests: python-measurement-doc
Description: unit-aware measurement objects (Python2 version)
 Easily use and manipulate unit-aware measurement objects in Python.
 .
 django.contrib.gis.measure has these wonderful Distance objects that can be
 used not only for storing a unit-aware distance measurement, but also for
 converting between different units and adding/subtracting these objects from
 one another.
 .
 This module not only provides those Distance and Area measurement objects
 (courtesy of Django), but also other measurements including Weight, Volume, and
 Temperature.
 .
 This package contains the Python 2 version of the library.

Package: python3-measurement
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-measurement-doc
Description: unit-aware measurement objects (Python3 version)
 Easily use and manipulate unit-aware measurement objects in Python.
 .
 django.contrib.gis.measure has these wonderful Distance objects that can be
 used not only for storing a unit-aware distance measurement, but also for
 converting between different units and adding/subtracting these objects from
 one another.
 .
 This module not only provides those Distance and Area measurement objects
 (courtesy of Django), but also other measurements including Weight, Volume, and
 Temperature.
 .
 This package contains the Python 3 version of the library.

Package: python-measurement-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: unit-aware measurement objects (Documentation)
 Easily use and manipulate unit-aware measurement objects in Python.
 .
 django.contrib.gis.measure has these wonderful Distance objects that can be
 used not only for storing a unit-aware distance measurement, but also for
 converting between different units and adding/subtracting these objects from
 one another.
 .
 This module not only provides those Distance and Area measurement objects
 (courtesy of Django), but also other measurements including Weight, Volume, and
 Temperature.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=measurement

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html

override_dh_clean:
	dh_clean
	rm -rf docs/.build

## python-measurement 2.0.1

=== requirements.txt ===
six>=1.0
sympy>=0.7.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-measurement.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-measurement.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-measurement"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-measurement"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-measurement (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches after git-dpm to gbp pq conversion
  * Always use pristine-tar.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable autopkgtest-pkg-python testsuite.
  * Add python(3)-pbr to Build-Depends.
  * Fix name of README.rst (formerly readme.rst).
  * Build documentation in override_dh_sphinxdoc.
  * Bump minimum Python2 version to 2.7.

 -- Michael Fladischer <fladi@debian.org>  Sat, 13 Jan 2018 17:40:02 +0100

=== debian/control ===
Source: python-measurement
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python-all,
 python-nose,
 python-pbr,
 python-setuptools,
 python-six,
 python-sympy,
 python3-all,
 python3-nose,
 python3-pbr,
 python3-setuptools,
 python3-six,
 python3-sphinx,
 python3-sympy,
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-measurement.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-measurement.git
Homepage: https://github.com/coddingtonbear/python-measurement
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Testsuite: autopkgtest-pkg-python

Package: python-measurement
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-measurement-doc,
Description: unit-aware measurement objects (Python2 version)
 Easily use and manipulate unit-aware measurement objects in Python.
 .
 django.contrib.gis.measure has these wonderful Distance objects that can be
 used not only for storing a unit-aware distance measurement, but also for
 converting between different units and adding/subtracting these objects from
 one another.
 .
 This module not only provides those Distance and Area measurement objects
 (courtesy of Django), but also other measurements including Weight, Volume, and
 Temperature.
 .
 This package contains the Python 2 version of the library.

Package: python-measurement-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: unit-aware measurement objects (Documentation)
 Easily use and manipulate unit-aware measurement objects in Python.
 .
 django.contrib.gis.measure has these wonderful Distance objects that can be
 used not only for storing a unit-aware distance measurement, but also for
 converting between different units and adding/subtracting these objects from
 one another.
 .
 This module not only provides those Distance and Area measurement objects
 (courtesy of Django), but also other measurements including Weight, Volume, and
 Temperature.
 .
 This package contains the documentation.

Package: python3-measurement
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-measurement-doc,
Description: unit-aware measurement objects (Python3 version)
 Easily use and manipulate unit-aware measurement objects in Python.
 .
 django.contrib.gis.measure has these wonderful Distance objects that can be
 used not only for storing a unit-aware distance measurement, but also for
 converting between different units and adding/subtracting these objects from
 one another.
 .
 This module not only provides those Distance and Area measurement objects
 (courtesy of Django), but also other measurements including Weight, Volume, and
 Temperature.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,12 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. sphinx-build -b html -N docs/ $(CURDIR)/debian/python-measurement-doc/usr/share/doc/python-measurement-doc/html
+	dh_sphinxdoc
+endif
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/measurement/measurement-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-measurement 3.2.2

=== debian/changelog ===
python-measurement (3.2.2-2) unstable; urgency=medium

  * Team upload.
  * add dependency on pybuild-plugin-pyproject (Closes: #1067379)
  * set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Wed, 24 Apr 2024 20:51:04 +0200

python-measurement (3.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.2.2
  * remove obsolete build-dependencies:
    * python3-nose (Closes: #1018531)
    * python3-six
  * add new build-dependencies:
    * python3-flit-scm
    * python3-pytest-cov
  * use new dh-sequence-python3
  * refresh privacy patch

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 07 Feb 2024 14:04:24 +0100

python-measurement (2.0.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-measurement-doc: Add Multi-Arch: foreign.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 15:23:34 -0400

python-measurement (2.0.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 25 Jul 2019 16:34:28 +0200

=== debian/control ===
Source: python-measurement
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-flit-scm,
 python3-pytest-cov,
 python3-setuptools,
 python3-sphinx,
 python3-sympy,
Rules-Requires-Root: no
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-measurement
Vcs-Git: https://salsa.debian.org/python-team/packages/python-measurement.git
Homepage: https://github.com/coddingtonbear/python-measurement
Testsuite: autopkgtest-pkg-python

Package: python-measurement-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: unit-aware measurement objects (Documentation)
 Easily use and manipulate unit-aware measurement objects in Python.
 .
 django.contrib.gis.measure has these wonderful Distance objects that can be
 used not only for storing a unit-aware distance measurement, but also for
 converting between different units and adding/subtracting these objects from
 one another.
 .
 This module not only provides those Distance and Area measurement objects
 (courtesy of Django), but also other measurements including Weight, Volume, and
 Temperature.
 .
 This package contains the documentation.

Package: python3-measurement
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-measurement-doc,
Description: unit-aware measurement objects (Python3 version)
 Easily use and manipulate unit-aware measurement objects in Python.
 .
 django.contrib.gis.measure has these wonderful Distance objects that can be
 used not only for storing a unit-aware distance measurement, but also for
 converting between different units and adding/subtracting these objects from
 one another.
 .
 This module not only provides those Distance and Area measurement objects
 (courtesy of Django), but also other measurements including Weight, Volume, and
 Temperature.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=measurement

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-measurement-doc/usr/share/doc/python-measurement-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	dh_clean
	rm -rf docs/.build
